Retrieve banks
curl --request GET \
--url https://developersandbox-api.flutterwave.com/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://developersandbox-api.flutterwave.com/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developersandbox-api.flutterwave.com/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"id": "bnk_cYjd92Qk",
"code": "035",
"name": "Access Bank"
}
]
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Banks
Retrieve banks
Retrieve supported banks by country.
GET
/
banks
Retrieve banks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Query Parameters
ISO 2 country code.
Available options:
CM, CI, CG, EG, ET, GA, GH, IN, KE, MW, NG, RW, SL, SN, TD, TZ, UG, US, ZA, ZM Was this page helpful?
⌘I